<template>
  <div>
    <div class="container">
      <div class="col-md-12 mx-auto mt-5 py-5">
        <div class="card">
          <div class="card-header">
            <h1>Reservación</h1>
          </div>
          <div class="card-body">
            <table class="table">
              <thead class>
                <tr class="bg-primary">
                  <th scope="col">Dia</th>
                  <th scope="col">Fecha</th>
                  <th scope="col">Hora</th>
                  <th scope="col">Fin Hora</th>
                  <th scope="col">Peluquero</th>
                  <th scope="col">Servicio</th>
                    <th scope="col"></th>
                </tr>
              </thead>
              <template v-for="(listresvation, index) in resvation">
                <ReservationItem :resvation="listresvation" :key="index" @delet-resrvation="deletresrvation"/>
              </template>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import ReservationItem from "@/components/Reservation/ReservationItem.vue";
import api from "@/api.js";
export default {
  name: "Reservation",
  components: {
    ReservationItem,
  },
  props: {
    resvation: {},
  },
  data() {
    return {
      idActualUser: "",
    };
  },
  mounted() {
    this.displayReservation();
    this.idActualUser = this.$route.params.idActualUser;

  },
  methods: {
    async displayReservation() {
      // let idUser = this.idActualUser;
      this.idActualUser = this.$route.params.idActualUser;
      this.resvation = await api.displayApiReservation(this.idActualUser);
    },
  async  deletresrvation(id_reservation){
    await  api.deletresrvation(id_reservation);
    this.displayReservation();
    }
  },
};
</script>
